<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): tiglcommunication Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="namespaces.html"><span>Namespace&#160;List</span></a></li>
      <li><a href="namespacemembers.html"><span>Namespace&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">tiglcommunication Namespace Reference<div class="ingroups"><a class="el" href="group__comm__module.html">Communication</a> &#124; <a class="el" href="group__comm__routines.html">General Communication Routines</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>namespace for general communication routines  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a6c03ec1fe550cd64fe6d33545a9d8d9b"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetiglcommunication.html#a6c03ec1fe550cd64fe6d33545a9d8d9b">TIGLCommunicationRecvMPICommand</a> (uint8_t *rxBuf, uint_fast32_t bufSize, int_fast32_t src)</td></tr>
<tr class="memdesc:a6c03ec1fe550cd64fe6d33545a9d8d9b"><td class="mdescLeft">&#160;</td><td class="mdescRight">receiving a message from a particular src with any tag  <a href="#a6c03ec1fe550cd64fe6d33545a9d8d9b">More...</a><br /></td></tr>
<tr class="separator:a6c03ec1fe550cd64fe6d33545a9d8d9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga90aad8e34d2c9b5389cf4137f830d7bc"><td class="memItemLeft" align="right" valign="top">int_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__comm__engine.html#ga90aad8e34d2c9b5389cf4137f830d7bc">TIGLCommunicationRecvMPICommand</a> (uint8_t *rxBuf, uint_fast32_t bufSize, int_fast32_t src, int tag)</td></tr>
<tr class="memdesc:ga90aad8e34d2c9b5389cf4137f830d7bc"><td class="mdescLeft">&#160;</td><td class="mdescRight">receiving a message from a particular src with a given tag  <a href="group__comm__engine.html#ga90aad8e34d2c9b5389cf4137f830d7bc">More...</a><br /></td></tr>
<tr class="separator:ga90aad8e34d2c9b5389cf4137f830d7bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadc3e5ce75dcca7631a65f9acaf95cda7"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__comm__engine.html#gadc3e5ce75dcca7631a65f9acaf95cda7">TIGLCommunicationRecvMPICommand</a> (uint8_t *rxBuf, int_fast32_t *numMessageBytes)</td></tr>
<tr class="memdesc:gadc3e5ce75dcca7631a65f9acaf95cda7"><td class="mdescLeft">&#160;</td><td class="mdescRight">receiving a message with any tag from any source  <a href="group__comm__engine.html#gadc3e5ce75dcca7631a65f9acaf95cda7">More...</a><br /></td></tr>
<tr class="separator:gadc3e5ce75dcca7631a65f9acaf95cda7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac1890b17393bc0cf43069a88bf603849"><td class="memItemLeft" align="right" valign="top">int_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__comm__engine.html#gac1890b17393bc0cf43069a88bf603849">TIGLCommunicationRecvTaggedMPICommand</a> (uint8_t *rxBuf, int tag)</td></tr>
<tr class="memdesc:gac1890b17393bc0cf43069a88bf603849"><td class="mdescLeft">&#160;</td><td class="mdescRight">receiving a message with any tag from any source  <a href="group__comm__engine.html#gac1890b17393bc0cf43069a88bf603849">More...</a><br /></td></tr>
<tr class="separator:gac1890b17393bc0cf43069a88bf603849"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8bc05a875672c36f49ff89fb0c245d64"><td class="memItemLeft" align="right" valign="top">int_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__comm__engine.html#ga8bc05a875672c36f49ff89fb0c245d64">TIGLCommunicationRecvTaggedMPICommandfromDev</a> (uint8_t *rxBuf, int tag, int dev, int count=MAX_MESSAGE_SIZE)</td></tr>
<tr class="memdesc:ga8bc05a875672c36f49ff89fb0c245d64"><td class="mdescLeft">&#160;</td><td class="mdescRight">receiving a message with any tag from any source  <a href="group__comm__engine.html#ga8bc05a875672c36f49ff89fb0c245d64">More...</a><br /></td></tr>
<tr class="separator:ga8bc05a875672c36f49ff89fb0c245d64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacf737404a408b903992e25c3974903da"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__comm__engine.html#gacf737404a408b903992e25c3974903da">TIGLCommunicationRecvMPICommandNonblocking</a> (uint8_t *rxBuf, MPI_Request *req)</td></tr>
<tr class="memdesc:gacf737404a408b903992e25c3974903da"><td class="mdescLeft">&#160;</td><td class="mdescRight">receiving a message with any tag from any source  <a href="group__comm__engine.html#gacf737404a408b903992e25c3974903da">More...</a><br /></td></tr>
<tr class="separator:gacf737404a408b903992e25c3974903da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9878d126fe58e433b0ff2ecef8239092"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__comm__engine.html#ga9878d126fe58e433b0ff2ecef8239092">TIGLCommunicationRecvMPICommandNonblocking</a> (uint8_t *rxBuf, int messageSize, int dev, int tag, MPI_Request *req)</td></tr>
<tr class="memdesc:ga9878d126fe58e433b0ff2ecef8239092"><td class="mdescLeft">&#160;</td><td class="mdescRight">nonblocking receiving a message with atag from a given source  <a href="group__comm__engine.html#ga9878d126fe58e433b0ff2ecef8239092">More...</a><br /></td></tr>
<tr class="separator:ga9878d126fe58e433b0ff2ecef8239092"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83e288d82f3b954048978d3b4c834d56"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetiglcommunication.html#a83e288d82f3b954048978d3b4c834d56">TIGLCommunicationSendMPICommand</a> (uint8_t *txBuf, uint_fast32_t bufSize, int_fast32_t dst, int tag)</td></tr>
<tr class="memdesc:a83e288d82f3b954048978d3b4c834d56"><td class="mdescLeft">&#160;</td><td class="mdescRight">sends a single message to a particular destination with a given tag  <a href="#a83e288d82f3b954048978d3b4c834d56">More...</a><br /></td></tr>
<tr class="separator:a83e288d82f3b954048978d3b4c834d56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac92eaeea841e9bcb1535f72c2d4573b3"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetiglcommunication.html#ac92eaeea841e9bcb1535f72c2d4573b3">TIGLCommunicationSendMPICommandNonblocking</a> (uint8_t *txBuf, uint_fast32_t bufSize, int_fast32_t dst, int tag, MPI_Request *req)</td></tr>
<tr class="memdesc:ac92eaeea841e9bcb1535f72c2d4573b3"><td class="mdescLeft">&#160;</td><td class="mdescRight">sends a non-blocking single message to a particular destination with a given tag  <a href="#ac92eaeea841e9bcb1535f72c2d4573b3">More...</a><br /></td></tr>
<tr class="separator:ac92eaeea841e9bcb1535f72c2d4573b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adeb91ce29875d9eeb12ae4d6b1757fbf"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetiglcommunication.html#adeb91ce29875d9eeb12ae4d6b1757fbf">TIGLCommunicationExistMutationMessages</a> ()</td></tr>
<tr class="memdesc:adeb91ce29875d9eeb12ae4d6b1757fbf"><td class="mdescLeft">&#160;</td><td class="mdescRight">check if there exist messages from any source with any tag  <a href="#adeb91ce29875d9eeb12ae4d6b1757fbf">More...</a><br /></td></tr>
<tr class="separator:adeb91ce29875d9eeb12ae4d6b1757fbf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2ce62b777765fa131e4d7602aa31432"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetiglcommunication.html#af2ce62b777765fa131e4d7602aa31432">TIGLCommunicationExistMessages</a> ()</td></tr>
<tr class="memdesc:af2ce62b777765fa131e4d7602aa31432"><td class="mdescLeft">&#160;</td><td class="mdescRight">check if there exist messages from any source with any tag  <a href="#af2ce62b777765fa131e4d7602aa31432">More...</a><br /></td></tr>
<tr class="separator:af2ce62b777765fa131e4d7602aa31432"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93d7958e66e0ba65ed5050d9d89fb1c9"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetiglcommunication.html#a93d7958e66e0ba65ed5050d9d89fb1c9">TIGLCommunicationExistMessages</a> (int *tag, int *dev, int *messageSize)</td></tr>
<tr class="memdesc:a93d7958e66e0ba65ed5050d9d89fb1c9"><td class="mdescLeft">&#160;</td><td class="mdescRight">check if there exist messages from any source with any tag  <a href="#a93d7958e66e0ba65ed5050d9d89fb1c9">More...</a><br /></td></tr>
<tr class="separator:a93d7958e66e0ba65ed5050d9d89fb1c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02a73cb21bb7eaf0e23d3993cddec0f2"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetiglcommunication.html#a02a73cb21bb7eaf0e23d3993cddec0f2">TIGLCommunicationExistMessagesFromDev</a> (uint_fast32_t dev)</td></tr>
<tr class="memdesc:a02a73cb21bb7eaf0e23d3993cddec0f2"><td class="mdescLeft">&#160;</td><td class="mdescRight">check if there exist messages with any tag from a given source device  <a href="#a02a73cb21bb7eaf0e23d3993cddec0f2">More...</a><br /></td></tr>
<tr class="separator:a02a73cb21bb7eaf0e23d3993cddec0f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aebcd2849ebb590f84b3669e740b3f5cb"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetiglcommunication.html#aebcd2849ebb590f84b3669e740b3f5cb">TIGLCommunicationExistMessagesWithTag</a> (int tag)</td></tr>
<tr class="memdesc:aebcd2849ebb590f84b3669e740b3f5cb"><td class="mdescLeft">&#160;</td><td class="mdescRight">check if there exist messages with a given tag from any source  <a href="#aebcd2849ebb590f84b3669e740b3f5cb">More...</a><br /></td></tr>
<tr class="separator:aebcd2849ebb590f84b3669e740b3f5cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21d68af6270a9a77a5db97001a7e2825"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetiglcommunication.html#a21d68af6270a9a77a5db97001a7e2825">TIGLCommunicationExistTaggedMessageFromDev</a> (int tag, uint_fast32_t dev, int_fast32_t *messageSize)</td></tr>
<tr class="memdesc:a21d68af6270a9a77a5db97001a7e2825"><td class="mdescLeft">&#160;</td><td class="mdescRight">check if there exist messages with a given tag from a given source  <a href="#a21d68af6270a9a77a5db97001a7e2825">More...</a><br /></td></tr>
<tr class="separator:a21d68af6270a9a77a5db97001a7e2825"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a84bf530b42ba8d12412670be7f3cef"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetiglcommunication.html#a2a84bf530b42ba8d12412670be7f3cef">TIGLCommunicationWaitMPINonblocking</a> (MPI_Request *req)</td></tr>
<tr class="memdesc:a2a84bf530b42ba8d12412670be7f3cef"><td class="mdescLeft">&#160;</td><td class="mdescRight">wait for nonblocking tx/rx  <a href="#a2a84bf530b42ba8d12412670be7f3cef">More...</a><br /></td></tr>
<tr class="separator:a2a84bf530b42ba8d12412670be7f3cef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d490b2c55ed36a91f52cfc7acbc3910"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetiglcommunication.html#a1d490b2c55ed36a91f52cfc7acbc3910">TIGLCommunicationTestMPINonblocking</a> (MPI_Request *req, int *tag, int *messageSize)</td></tr>
<tr class="memdesc:a1d490b2c55ed36a91f52cfc7acbc3910"><td class="mdescLeft">&#160;</td><td class="mdescRight">test the status nonblocking tx/rx and return the tag and message size  <a href="#a1d490b2c55ed36a91f52cfc7acbc3910">More...</a><br /></td></tr>
<tr class="separator:a1d490b2c55ed36a91f52cfc7acbc3910"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49b0dfad8ecb65020b6bb01a6995d64e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetiglcommunication.html#a49b0dfad8ecb65020b6bb01a6995d64e">TIGLCommunicationTestMPINonblocking</a> (MPI_Request *req)</td></tr>
<tr class="memdesc:a49b0dfad8ecb65020b6bb01a6995d64e"><td class="mdescLeft">&#160;</td><td class="mdescRight">simple test the status nonblocking tx/rx  <a href="#a49b0dfad8ecb65020b6bb01a6995d64e">More...</a><br /></td></tr>
<tr class="separator:a49b0dfad8ecb65020b6bb01a6995d64e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga850d97074f10b4fd43dc0e5284d88d76"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__comm__engine.html#ga850d97074f10b4fd43dc0e5284d88d76">sendMPIBcast</a> (uint8_t *txBuf, uint_fast32_t bufSize, int_fast32_t src)</td></tr>
<tr class="memdesc:ga850d97074f10b4fd43dc0e5284d88d76"><td class="mdescLeft">&#160;</td><td class="mdescRight">sends a broadcast message  <a href="group__comm__engine.html#ga850d97074f10b4fd43dc0e5284d88d76">More...</a><br /></td></tr>
<tr class="separator:ga850d97074f10b4fd43dc0e5284d88d76"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>namespace for general communication routines </p>
</div><h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="af2ce62b777765fa131e4d7602aa31432"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool tiglcommunication::TIGLCommunicationExistMessages </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>check if there exist messages from any source with any tag </p>
<dl class="section return"><dt>Returns</dt><dd>true if there are messages, false otherwise </dd></dl>

</div>
</div>
<a class="anchor" id="a93d7958e66e0ba65ed5050d9d89fb1c9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool tiglcommunication::TIGLCommunicationExistMessages </td>
          <td>(</td>
          <td class="paramtype">int *&#160;</td>
          <td class="paramname"><em>tag</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&#160;</td>
          <td class="paramname"><em>dev</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&#160;</td>
          <td class="paramname"><em>messageSize</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>check if there exist messages from any source with any tag </p>
<dl class="section return"><dt>Returns</dt><dd>true if there are messages, false otherwise </dd></dl>

</div>
</div>
<a class="anchor" id="a02a73cb21bb7eaf0e23d3993cddec0f2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool tiglcommunication::TIGLCommunicationExistMessagesFromDev </td>
          <td>(</td>
          <td class="paramtype">uint_fast32_t&#160;</td>
          <td class="paramname"><em>dev</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>check if there exist messages with any tag from a given source device </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">&lt;dev&gt;</td><td>source device </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if there are messages, false otherwise </dd></dl>

</div>
</div>
<a class="anchor" id="aebcd2849ebb590f84b3669e740b3f5cb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool tiglcommunication::TIGLCommunicationExistMessagesWithTag </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>tag</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>check if there exist messages with a given tag from any source </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">&lt;tag&gt;</td><td>message tag </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if there are messages, false otherwise </dd></dl>

</div>
</div>
<a class="anchor" id="adeb91ce29875d9eeb12ae4d6b1757fbf"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool tiglcommunication::TIGLCommunicationExistMutationMessages </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>check if there exist messages from any source with any tag </p>
<dl class="section return"><dt>Returns</dt><dd>true if there are messages, false otherwise </dd></dl>

</div>
</div>
<a class="anchor" id="a21d68af6270a9a77a5db97001a7e2825"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool tiglcommunication::TIGLCommunicationExistTaggedMessageFromDev </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>tag</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint_fast32_t&#160;</td>
          <td class="paramname"><em>dev</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int_fast32_t *&#160;</td>
          <td class="paramname"><em>messageSize</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>check if there exist messages with a given tag from a given source </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">tag</td><td>message tag </td></tr>
    <tr><td class="paramname">dev</td><td>rank source device </td></tr>
    <tr><td class="paramname">messageSize</td><td>pointer to the size of the message in bytes (upon completion). It is not changed if the process is not completed </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if there are messages, false otherwise </dd></dl>

</div>
</div>
<a class="anchor" id="a6c03ec1fe550cd64fe6d33545a9d8d9b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int tiglcommunication::TIGLCommunicationRecvMPICommand </td>
          <td>(</td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>rxBuf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint_fast32_t&#160;</td>
          <td class="paramname"><em>bufSize</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int_fast32_t&#160;</td>
          <td class="paramname"><em>src</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>receiving a message from a particular src with any tag </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">rxBuf</td><td>receiver buffer </td></tr>
    <tr><td class="paramname">bufSize</td><td>buffer size in bytes </td></tr>
    <tr><td class="paramname">src</td><td>the message source device </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>the message tag </dd></dl>

</div>
</div>
<a class="anchor" id="a83e288d82f3b954048978d3b4c834d56"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int tiglcommunication::TIGLCommunicationSendMPICommand </td>
          <td>(</td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>txBuf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint_fast32_t&#160;</td>
          <td class="paramname"><em>bufSize</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int_fast32_t&#160;</td>
          <td class="paramname"><em>dst</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>tag</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>sends a single message to a particular destination with a given tag </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">txBuf</td><td>tx buffer </td></tr>
    <tr><td class="paramname">bufSize</td><td>buffer size </td></tr>
    <tr><td class="paramname">dst</td><td>destination device </td></tr>
    <tr><td class="paramname">tag</td><td>message tag </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac92eaeea841e9bcb1535f72c2d4573b3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int tiglcommunication::TIGLCommunicationSendMPICommandNonblocking </td>
          <td>(</td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>txBuf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint_fast32_t&#160;</td>
          <td class="paramname"><em>bufSize</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int_fast32_t&#160;</td>
          <td class="paramname"><em>dst</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>tag</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">MPI_Request *&#160;</td>
          <td class="paramname"><em>req</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>sends a non-blocking single message to a particular destination with a given tag </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">txBuf</td><td>tx buffer </td></tr>
    <tr><td class="paramname">bufSize</td><td>buffer size </td></tr>
    <tr><td class="paramname">dst</td><td>destination device </td></tr>
    <tr><td class="paramname">tag</td><td>message tag </td></tr>
    <tr><td class="paramname">req</td><td>pointer to MPI_Request object that is required for nonblocking TX </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a1d490b2c55ed36a91f52cfc7acbc3910"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool tiglcommunication::TIGLCommunicationTestMPINonblocking </td>
          <td>(</td>
          <td class="paramtype">MPI_Request *&#160;</td>
          <td class="paramname"><em>req</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&#160;</td>
          <td class="paramname"><em>tag</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&#160;</td>
          <td class="paramname"><em>messageSize</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>test the status nonblocking tx/rx and return the tag and message size </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">req</td><td>pointer to MPI_request object that was filled with the tx/rx </td></tr>
    <tr><td class="paramname">tag</td><td>pointer to the the tag of the message (upon completion). It is not changed if the process is not completed </td></tr>
    <tr><td class="paramname">messageSize</td><td>pointer to the size of the message in bytes (upon completion). It is not changed if the process is not completed </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if process is completed, false otherwise </dd></dl>

</div>
</div>
<a class="anchor" id="a49b0dfad8ecb65020b6bb01a6995d64e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool tiglcommunication::TIGLCommunicationTestMPINonblocking </td>
          <td>(</td>
          <td class="paramtype">MPI_Request *&#160;</td>
          <td class="paramname"><em>req</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>simple test the status nonblocking tx/rx </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">req</td><td>pointer to MPI_request object that was filled with the tx/rx </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if process is completed, false otherwise </dd></dl>

</div>
</div>
<a class="anchor" id="a2a84bf530b42ba8d12412670be7f3cef"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int tiglcommunication::TIGLCommunicationWaitMPINonblocking </td>
          <td>(</td>
          <td class="paramtype">MPI_Request *&#160;</td>
          <td class="paramname"><em>req</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>wait for nonblocking tx/rx </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">req</td><td>pointer to MPI_request object that was filled with the tx/rx </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if there are messages, false otherwise </dd></dl>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Mar 4 2015 12:50:45 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
